Page MenuHomePhabricator

The term "header" in the Flow terminology should be renamed
Closed, ResolvedPublic

Description

The term "header" as it's currently used in Flow is very confusing. The dictionary definition of "header" is "a word or series of words often in larger letters placed at the beginning of a passage or at the top of a page in order to introduce or categorize". This is not quite what "header" is in "Flow" - it is rather an optional description of a page, that appears under its title.

Because of this difference it is hard to translate, and hard to understand in English in the first place.

It should probably renamed to something like "description" or "sub-heading".


Version: unspecified
Severity: enhancement

Details

Reference
bz57790

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz57790.
bzimport added a subscriber: Unknown Object (MLST).
Amire80 created this task.Dec 1 2013, 7:47 AM

bingle-admin wrote:

The WMF core features team tracks this bug on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/547, but people from the community are welcome to contribute here and in Gerrit.

Oxford dictionary says

4a line or block of text appearing at the top of each page of a book or document. Compare with footer.
  the part of an email before the message, containing information such as the subject and sender:

so "header" is OK but not ideal. A board's header could contain anything, like https://en.wikipedia.org/wiki/Wikipedia_talk:WikiProject_Military_History . Maybe "description" or "introduction" is better.

Meanwhile the gray box at the top of each topic containing the topic title and participant count and other information is like a "topic header" in the e-mail sense. We don't currently name (I think it's been called "topic bar" internally a few times) so users fumble for their own names for it and a couple have called it "the topic header".

aravikn wrote:

Would someone please tell me what must be done to fix this bug?

Aravind: See previous comments (or ask a more specific question). It's not clear though what a better word would be, so this is not very actionable.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:43 AM
Amire80 added a subscriber: DannyH.Mar 18 2015, 9:57 PM

@DannyH, will you be willing to reconsider this? The number of translatable messages that use "header" is growing, and I have a suspicion that translators who didn't bother to read the documentation like I did are getting it incorrectly.

I actually think 'header' is better than 'sub-heading'. A 'sub-heading' sounds like a very short amount of text (similar to a Wikipedia heading for a sub-section), like 'Middle ages' as a sub-heading in the 'History' section.

I also think our use of 'header' fits the Oxford definition S quoted well.

'Board description' would be about equivalent, but not clearly better.

However, we're considering showing the header in the right rail in some cases. I want to call this the 'cider' (side header), but I don't think the translators will like that. So maybe the fact that we're moving this is a reason to rename it to 'board description' or 'board introduction'?

In case it wasn't clear, I support "description" for what is currently called "board header". Topic headers can retain this name, because it's easy to translate (or so I think).

In case it wasn't clear, I support "description" for what is currently called "board header". Topic headers can retain this name, because it's easy to translate (or so I think).

We don't call them topic headers. We call them summaries. If anything is calling it a topic header, that's a bug.

Change 198538 had a related patch set uploaded (by Amire80):
Replace "header" with "description"

https://gerrit.wikimedia.org/r/198538

I decided to be bold and submitted a patch: https://gerrit.wikimedia.org/r/198538

The word 'preamble' is pretty formal in English. It makes me think of a constitution or other legal document, not a regular page.

Amir already has a patch up, replacing "header" by "description".
Anyone willing to defend "header" or go with another word?

Yeah, I already have supported header above. I don't see any reason to change it until we move to the right rail.

Change 198538 merged by jenkins-bot:
Replace "header" with "description"

https://gerrit.wikimedia.org/r/198538

Mattflaschen-WMF closed this task as Resolved.Apr 25 2015, 3:37 AM
Mattflaschen-WMF assigned this task to Amire80.
Mattflaschen-WMF set Security to None.